summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD83
1 files changed, 83 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9fa336f753a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,83 @@
+# Maintainer: Nikita Sivakov <cryptomaniac.512@gmail.com>
+# Contributor: Nikita Sivakov <cryptomaniac.512@gmail.com>
+
+pkgname=xf86-input-egalax
+pkgver=2.5.4330
+pkgrel=3
+_reldate=20141009
+pkgdesc="Touchscreen driver for eGalax (eeti) devices"
+arch=('i686'
+ 'x86_64')
+url="http://home.eeti.com.tw/drivers_Linux.html"
+license=('custom:EULA')
+groups=('xorg-input-drivers')
+depends=('linux'
+ 'libpng12'
+ 'gksu'
+ 'alsa-lib'
+ 'hicolor-icon-theme'
+ 'xorg-server')
+backup=(etc/eGTouchL.ini)
+install='xf86-input-egalax.install'
+#http://home.eeti.com.tw/touch_driver/Linux/20141009/eGTouch_v2.5.4330.L-x.zip
+source=("eGTouch_v${pkgver}.L-x.zip::http://home.eeti.com.tw/touch_driver/Linux/${_reldate}/eGTouch_v${pkgver}.L-x.zip"
+ "eGalaxConfig.desktop"
+ "eGTouchD.service"
+ "eGTouchD.conf")
+md5sums=('F036A1284CEFC9394B30E4E0C960D122'
+ '0ee99c83fd74bdb8357427eae9b2dc7d'
+ 'a52c4c1682ee196a6bbffe4768154a92'
+ 'c9284fbcf2bdaec8d3eea21f6b7be34d')
+
+_architect="32"
+[ "$CARCH" = "x86_64" ] && _architect="64"
+
+package() {
+ if [ -d /etc/modules-load.d ]; then
+ _modules="modules-load.d"
+ else
+ _modules="modprobe.d"
+ fi
+
+ mkdir -p \
+ "$pkgdir/etc/X11/xorg.conf.d" \
+ "$pkgdir/etc/$_modules" \
+ "$pkgdir/usr/lib/systemd/system/" \
+ "$pkgdir/usr/share/eGTouch/sample" \
+ "$pkgdir/usr/share/applications" \
+ "$pkgdir/usr/share/icons/hicolor/scalable/apps" \
+ "$pkgdir/usr/share/licenses/$pkgname" \
+ "$pkgdir/usr/bin" || return 1
+
+ cd $srcdir/eGTouch_v${pkgver}.L-x/eGTouch${_architect}/eGTouch${_architect}withX
+
+ install -D -m755 eGTouchU $pkgdir/usr/bin
+ install -D -m755 eGTouchD $pkgdir/usr/bin
+ install -D -m755 eCalib $pkgdir/usr/bin
+ install -D -m755 eGTouchL.ini $pkgdir/etc
+
+ cd ../../Rule
+
+ install -D -m644 52-egalax-virtual.conf $pkgdir/etc/X11/xorg.conf.d
+ install -D -m644 eGTouchU.png $pkgdir/usr/share/icons/hicolor/scalable/apps
+
+ install -D -m755 serio_raw.sh $pkgdir/usr/share/eGTouch/sample
+
+ cd ../Patent_Declaration
+
+ install -D -m644 eula.pdf $pkgdir/usr/share/licenses/$pkgname
+ install -D -m644 "EETI_Declaration_and_Disclaimer.pdf" $pkgdir/usr/share/licenses/$pkgname
+
+ cd ../Guide
+
+# install -D -m644 "EETI_eGTouch_Utility_Guide_for Linux_v1.03.pdf" $pkgdir/usr/share/eGTouch
+# install -D -m644 "EETI_eGTouch_Linux_Programming_Guide_v2.5f.pdf" $pkgdir/usr/share/eGTouch
+
+ install -D -m644 GetEvent.c $pkgdir/usr/share/eGTouch/sample
+
+ cd ../../../
+
+ install -D -m755 eGalaxConfig.desktop $pkgdir/usr/share/applications
+ install -D -m755 eGTouchD.service $pkgdir/usr/lib/systemd/system
+ install -D -m755 eGTouchD.conf $pkgdir/etc/$_modules
+}